{
  "Version": 1,
  "WorkspaceRootPath": "C:\\Users\\adm\\source\\repos\\presence_api\\",
  "Documents": [
    {
      "AbsoluteMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|c:\\users\\adm\\source\\repos\\presence_api\\data\\remotedata\\remotedatabase\\dao\\markabsencerequest.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|solutionrelative:data\\remotedata\\remotedatabase\\dao\\markabsencerequest.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{11DF6612-BF6E-4F12-8817-96FF552E7535}|presence_api\\presence_api.csproj|c:\\users\\adm\\source\\repos\\presence_api\\presence_api\\controllers\\presencecontroller\\presencecontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{11DF6612-BF6E-4F12-8817-96FF552E7535}|presence_api\\presence_api.csproj|solutionrelative:presence_api\\controllers\\presencecontroller\\presencecontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{4C6194FF-B704-406B-89A7-03C2EE38A899}|domain\\domain.csproj|c:\\users\\adm\\source\\repos\\presence_api\\domain\\usecase\\usecasegeneratepresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{4C6194FF-B704-406B-89A7-03C2EE38A899}|domain\\domain.csproj|solutionrelative:domain\\usecase\\usecasegeneratepresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|c:\\users\\adm\\source\\repos\\presence_api\\data\\repository\\sqlpresencerepositoryimpl.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|solutionrelative:data\\repository\\sqlpresencerepositoryimpl.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|c:\\users\\adm\\source\\repos\\presence_api\\data\\repository\\ipresencerepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|solutionrelative:data\\repository\\ipresencerepository.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|c:\\users\\adm\\source\\repos\\presence_api\\data\\remotedata\\remotedatabase\\dao\\attendanceinputmodel.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|solutionrelative:data\\remotedata\\remotedatabase\\dao\\attendanceinputmodel.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{8CAAF4C4-09A3-419C-B232-56A150F0F30D}|ui\\ui.csproj|c:\\users\\adm\\source\\repos\\presence_api\\ui\\mainmenu.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{8CAAF4C4-09A3-419C-B232-56A150F0F30D}|ui\\ui.csproj|solutionrelative:ui\\mainmenu.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{8CAAF4C4-09A3-419C-B232-56A150F0F30D}|ui\\ui.csproj|c:\\users\\adm\\source\\repos\\presence_api\\ui\\presenceconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{8CAAF4C4-09A3-419C-B232-56A150F0F30D}|ui\\ui.csproj|solutionrelative:ui\\presenceconsole.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{11DF6612-BF6E-4F12-8817-96FF552E7535}|presence_api\\presence_api.csproj|c:\\users\\adm\\source\\repos\\presence_api\\presence_api\\controllers\\groupcontroller\\groupcontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{11DF6612-BF6E-4F12-8817-96FF552E7535}|presence_api\\presence_api.csproj|solutionrelative:presence_api\\controllers\\groupcontroller\\groupcontroller.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|c:\\users\\adm\\source\\repos\\presence_api\\data\\remotedata\\remotedatabase\\dao\\allpresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|solutionrelative:data\\remotedata\\remotedatabase\\dao\\allpresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|c:\\users\\adm\\source\\repos\\presence_api\\data\\remotedata\\remotedatabase\\dao\\usersforpresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{B61AE661-CF04-46B2-9862-386DD078A071}|data\\data.csproj|solutionrelative:data\\remotedata\\remotedatabase\\dao\\usersforpresence.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{11DF6612-BF6E-4F12-8817-96FF552E7535}|presence_api\\presence_api.csproj|c:\\users\\adm\\source\\repos\\presence_api\\presence_api\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{11DF6612-BF6E-4F12-8817-96FF552E7535}|presence_api\\presence_api.csproj|solutionrelative:presence_api\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    }
  ],
  "DocumentGroupContainers": [
    {
      "Orientation": 0,
      "VerticalTabListWidth": 256,
      "DocumentGroups": [
        {
          "DockedWidth": 200,
          "SelectedChildIndex": -1,
          "Children": [
            {
              "$type": "Bookmark",
              "Name": "ST:0:0:{aa2115a1-9712-457b-9047-dbb71ca2cdd2}"
            }
          ]
        },
        {
          "DockedWidth": 200,
          "SelectedChildIndex": 0,
          "Children": [
            {
              "$type": "Document",
              "DocumentIndex": 0,
              "Title": "MarkAbsenceRequest.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\MarkAbsenceRequest.cs",
              "RelativeDocumentMoniker": "data\\RemoteData\\RemoteDatabase\\DAO\\MarkAbsenceRequest.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\MarkAbsenceRequest.cs",
              "RelativeToolTip": "data\\RemoteData\\RemoteDatabase\\DAO\\MarkAbsenceRequest.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAqwBAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T12:03:40.999Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 5,
              "Title": "AttendanceInputModel.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\AttendanceInputModel.cs",
              "RelativeDocumentMoniker": "data\\RemoteData\\RemoteDatabase\\DAO\\AttendanceInputModel.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\AttendanceInputModel.cs",
              "RelativeToolTip": "data\\RemoteData\\RemoteDatabase\\DAO\\AttendanceInputModel.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAgAAAADAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T11:30:47.972Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 6,
              "Title": "MainMenu.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\ui\\MainMenu.cs",
              "RelativeDocumentMoniker": "ui\\MainMenu.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\ui\\MainMenu.cs",
              "RelativeToolTip": "ui\\MainMenu.cs",
              "ViewState": "AgIAAIEAAAAAAAAAAAAowAAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T11:20:48.97Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 8,
              "Title": "GroupController.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\presence_api\\Controllers\\GroupController\\GroupController.cs",
              "RelativeDocumentMoniker": "presence_api\\Controllers\\GroupController\\GroupController.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\presence_api\\Controllers\\GroupController\\GroupController.cs",
              "RelativeToolTip": "presence_api\\Controllers\\GroupController\\GroupController.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T10:23:07.472Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 7,
              "Title": "PresenceConsole.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\ui\\PresenceConsole.cs",
              "RelativeDocumentMoniker": "ui\\PresenceConsole.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\ui\\PresenceConsole.cs",
              "RelativeToolTip": "ui\\PresenceConsole.cs",
              "ViewState": "AgIAAHQAAAAAAAAAAAAAAGwAAAANAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T09:33:22.933Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 9,
              "Title": "AllPresence.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\AllPresence.cs",
              "RelativeDocumentMoniker": "data\\RemoteData\\RemoteDatabase\\DAO\\AllPresence.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\AllPresence.cs",
              "RelativeToolTip": "data\\RemoteData\\RemoteDatabase\\DAO\\AllPresence.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAAA8AAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T09:01:28.167Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 10,
              "Title": "UsersForPresence.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\UsersForPresence.cs",
              "RelativeDocumentMoniker": "data\\RemoteData\\RemoteDatabase\\DAO\\UsersForPresence.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\RemoteData\\RemoteDatabase\\DAO\\UsersForPresence.cs",
              "RelativeToolTip": "data\\RemoteData\\RemoteDatabase\\DAO\\UsersForPresence.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAABAAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-18T09:01:17.85Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 4,
              "Title": "IPresenceRepository.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\Repository\\IPresenceRepository.cs",
              "RelativeDocumentMoniker": "data\\Repository\\IPresenceRepository.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\Repository\\IPresenceRepository.cs",
              "RelativeToolTip": "data\\Repository\\IPresenceRepository.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAqwAYAAAAVAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-14T09:35:13.716Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 3,
              "Title": "SQLPresenceRepositoryImpl.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\Repository\\SQLPresenceRepositoryImpl.cs",
              "RelativeDocumentMoniker": "data\\Repository\\SQLPresenceRepositoryImpl.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\data\\Repository\\SQLPresenceRepositoryImpl.cs",
              "RelativeToolTip": "data\\Repository\\SQLPresenceRepositoryImpl.cs",
              "ViewState": "AgIAAJMBAAAAAAAAAAAUwAgAAABAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-14T09:31:12.074Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 2,
              "Title": "UseCaseGeneratePresence.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\domain\\UseCase\\UseCaseGeneratePresence.cs",
              "RelativeDocumentMoniker": "domain\\UseCase\\UseCaseGeneratePresence.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\domain\\UseCase\\UseCaseGeneratePresence.cs",
              "RelativeToolTip": "domain\\UseCase\\UseCaseGeneratePresence.cs",
              "ViewState": "AgIAAMIAAAAAAAAAAAAiwOEAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-14T09:28:46.588Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 1,
              "Title": "PresenceController.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\presence_api\\Controllers\\PresenceController\\PresenceController.cs",
              "RelativeDocumentMoniker": "presence_api\\Controllers\\PresenceController\\PresenceController.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\presence_api\\Controllers\\PresenceController\\PresenceController.cs",
              "RelativeToolTip": "presence_api\\Controllers\\PresenceController\\PresenceController.cs",
              "ViewState": "AgIAAD0AAAAAAAAAAAAhwFIAAABFAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-13T08:51:02.366Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 11,
              "Title": "Program.cs",
              "DocumentMoniker": "C:\\Users\\adm\\source\\repos\\presence_api\\presence_api\\Program.cs",
              "RelativeDocumentMoniker": "presence_api\\Program.cs",
              "ToolTip": "C:\\Users\\adm\\source\\repos\\presence_api\\presence_api\\Program.cs",
              "RelativeToolTip": "presence_api\\Program.cs",
              "ViewState": "AgIAAAIAAAAAAAAAAAAYwAgAAAA3AAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2024-11-14T08:15:53.477Z",
              "EditorCaption": ""
            }
          ]
        }
      ]
    }
  ]
}